﻿namespace MoneyExchanger
{
    public class Exchange
    {
        public Currency From { get; init; }
        public Currency To { get; init; }
        public decimal ExchangeRate { get; init; }
        public decimal Value { get; init; }

        public override string ToString()
        {
            return $"Exchange {Value}: {From} -> {To}: {Value * ExchangeRate} with exchange rate {ExchangeRate}";
        }
    }
}